EventHttp::removeServerAlias
EventHttp::setCallback
EventHttp
PHP Manual

# EventHttp::setAllowedMethods

(PECL event >= 1.4.0-beta)

EventHttp::setAllowedMethods — Sets the what HTTP methods are supported in requests accepted by this server, and passed to user callbacks

### Beschreibung

public void EventHttp::setAllowedMethods ( int `$methods` )

Sets the what HTTP methods are supported in requests accepted by this server, and passed to user callbacks

If not supported they will generate a "405 Method not allowed" response.

By default this includes the following methods: GET , POST , HEAD , PUT , DELETE . See EventHttpRequest::CMD_* constants.

### Parameter-Liste

`methods`

  A bit mask of EventHttpRequest::CMD_* constants .

### Rückgabewerte

Es wird kein Wert zurückgegeben.

EventHttp::removeServerAlias
EventHttp::setCallback
EventHttp
PHP Manual